
Redmine - Feature #7057

Send email notification on subtask and parent updates

2010-12-06 20:48 - Gerry Hawkins

Status: Closed Start date: 2010-12-06

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

Using 1.0.4 ...

If you remove the tickets from “subtasks” or "related issues” for the current ticket, no notification is sent to a watcher on this ticket.

If you remove a ‘parent task’ from the ticket, you will not get email notification if you are only watching the parent ticket and not the

current one.

Related issues:

Related to Redmine - Feature #1005: Add the addition/removal/change of relate... Closed 2008-04-07

Related to Redmine - Feature #13585: Make sub-task inherit the properties of ... New

Has duplicate Redmine - Defect #8438: Missing notification mail when "related... Closed 2011-05-25

Has duplicate Redmine - Feature #11177: Email notification for subtasks statu... Closed

History

#1 - 2011-05-25 17:32 - Etienne Massip

- Tracker changed from Defect to Feature

#2 - 2011-05-25 17:32 - Etienne Massip

- Subject changed from email update missing for watchers on subtask/related and parent updates to Send email notification on subtask/related and

parent updates

#3 - 2011-05-25 17:33 - Etienne Massip

- Target version set to Unplanned backlogs

#4 - 2011-05-25 17:39 - pasquale [:dedalus]

+1

#5 - 2011-05-31 11:04 - Radek Karban

+1

#6 - 2013-01-27 16:32 - Julian S. Luipold

+1

#7 - 2013-03-27 12:54 - Fernando Hartmann

+1 + #11177 (Alert when a sub-task has the status changed )

#8 - 2013-04-26 21:58 - yac yac

+1 I'd expect this to be already implemented by now, it was a surprise.

#9 - 2013-07-25 10:30 - Eugene Fokin

+1

#10 - 2013-12-11 09:02 - Toshi MARUYAMA

- Subject changed from Send email notification on subtask/related and parent updates to Send email notification on subtask and parent updates
https://www.redmine.org/issues/11177


Relation notification is fixed by #1005 when "Issue updated" setting enabled.

#11 - 2013-12-11 09:16 - Toshi MARUYAMA

- Status changed from New to Closed

- Target version deleted (Unplanned backlogs)

- Resolution set to Fixed

In 2.4.1, deleting parent issue notification is sent when "Issue updated" setting enabled.
https://www.redmine.org/issues/1005
https://www.redmine.org/versions/76
http://www.tcpdf.org

